/**
 * 工作台
 */

import http from '../http'
// import { https } from '../https'

export default {
  // page
  locationPage: data =>
    http.post('soil/v1/receive_location/page', data).then(res => res),
  locationList: data =>
    http.post('soil/v1/receive_location/list', data).then(res => res),
  locationGetById: data =>
    http.get('soil/v1/receive_location/' + data).then(res => res),
  locationSave: data =>
    http.post('soil/v1/receive_location/', data).then(res => res),
  locationDeleteById: data =>
    http.delete('soil/v1/receive_location/?ids=' + data).then(res => res),
  locationEdit: data =>
    http.put('soil/v1/receive_location/' + data.id, data.obj).then(res => res),
  // 试验室领样操作
  takeSample: data =>
    http.post('soil/v1/sample/take_sample?ids=' + data).then(res => res)
}
